protozero 1.7.1 Minimalistic protocol buffer decoder and encoder in C++.

Loading...
Searching...
No Matches
Classes | Namespaces | Functions
iterators.hpp File Reference

Contains the iterators for access to packed repeated fields. More...

`#include "config.hpp"`
`#include "varint.hpp"`
`#include <algorithm>`
`#include <cstring>`
`#include <iterator>`
`#include <utility>`
Include dependency graph for iterators.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | protozero::iterator_range< T, P >
class | protozero::const_fixed_iterator< T >
class | protozero::const_varint_iterator< T >
class | protozero::const_svarint_iterator< T >

## Namespaces
namespace | protozero
| All parts of the protozero header-only library are in this namespace.

## Functions
template<typename T >
void | protozero::swap (iterator_range< T > &lhs, iterator_range< T > &rhs) noexcept

## Detailed Description

Contains the iterators for access to packed repeated fields.